Bug 986167 - Exchange cannot be injected into bean service
Exchange cannot be injected into bean service
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Keith Babo
Jiri Pechanec
:
Depends On:
Blocks: 1024877
  Show dependency treegraph
 
Reported: 2013-07-19 02:22 EDT by Jiri Pechanec
Modified: 2014-06-16 19:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1024877 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1759 Major Closed Exchange cannot be injected into bean services 2016-05-27 06:47 EDT

  None (edit)
Description Jiri Pechanec 2013-07-19 02:22:31 EDT
It is possible to inject Exchange into BPM and Rules service implementations. Message and Context can be.

This feature is not present in bean service which I consider to be a mistake.
Comment 1 Keith Babo 2013-07-24 15:23:57 EDT
We discourage users from interacting with Exchange directly in service implementations when possible.  We could look at doing this, but IMO this does not need to be included in SOA 6.0.
Comment 2 JBoss JIRA Server 2013-10-09 17:20:05 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1759

pushed
Comment 3 Jiri Pechanec 2013-12-18 03:31:48 EST
Verified in ER7
Comment 4 JBoss JIRA Server 2014-06-16 19:53:33 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1759 to Closed

Note You need to log in before you can comment on or make changes to this bug.